Subject: Re: PCI I/O space -- reg or ranges?

From: Segher Boessenkool <[email-masked]>
Date: Thu, 6 Sep 2007 23:01:17 +0200

>>> Sure, it can be encoded like that.  But does it make sense?
>>> You cannot use legacy I/O space as normal memory space.
>>
>> Why does it not make sense?  I'm not sure what you mean by using it as
>> "normal memory space", but if the PCI bridge does a straightforward
>> linear mapping of I/O into memory space (like most non-x86 bridges 
>> do),
>> it seems to make sense to me to reuse the existing ranges mechanism
>> rather than require each driver to have extra glue code.
> Well, pci_process_bridge_OF_ranges() only looks at the ranges property 
> to
> ioremap() I/O space.

That's because it is the function that process the "ranges"
property, like its name shows ;-)

Segher